LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-16-2007, 11:04 PM   #1
arindom
Member
 
Registered: Nov 2006
Location: India
Distribution: Ubuntu 11.04
Posts: 165

Rep: Reputation: 30
Mplayer installation problem


I can't install MPlayer in my Fedora 6. The error is as follows :
-----------------------------------
When trying to install mPlayer this is the error message I am getting :
------------------------------------------------------------------
[('file /usr/lib/libdha.so.1.0 from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/libdha.so.1.0', 0L)), ('file /usr/lib/mplayer/vidix/cyberblade_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/cyberblade_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/mach64_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/mach64_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/mga_crtc2_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/mga_crtc2_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/mga_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/mga_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/nvidia_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/nvidia_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/pm3_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/pm3_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/radeon_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/radeon_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/rage128_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/rage128_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/savage_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/savage_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/sis_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/sis_vid.so', 0L)), ('file /usr/lib/mplayer/vidix/unichrome_vid.so from install of mplayer-1.0-0.33.rc1.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut', (7, '/usr/lib/mplayer/vidix/unichrome_vid.so', 0L))]
----------------------------
Is there any conflicts between some files which are already there? I have VLC installed and it is working fine. I need to install MPlayer for mencoder and ffmpeg working. Both of them are not working properly in my system. Mencoder is not there while ffmpeg is giving an error :
ffmpeg: symbol lookup error: /usr/lib/libavcodec.so.51: undefined symbol: faacDecOpen

While trying to seperately install Mencoder I am getting the following error.
-------------------------------------------------
Transaction Check Error: file /usr/lib/libdha.so.1.0 from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/cyberblade_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/mach64_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/mga_crtc2_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/mga_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/nvidia_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/pm3_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/radeon_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/rage128_vid.so from install of mplayer-1.0-0.34.rc1try2.fc6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer
---------------------------

Please help.

Thank you.
 
Old 01-17-2007, 02:07 AM   #2
rylan76
Senior Member
 
Registered: Apr 2004
Location: Potchefstroom, South Africa
Distribution: Fedora 17 - 3.3.4-5.fc17.x86_64
Posts: 1,487

Rep: Reputation: 88
I suppose you are using an MPLayer RPM to attempt the install? Have you tried getting the MPlayer source and compiling it yourself?

I have FC6 and I managed to get MPlayer compiled manually and installed manually. I had to use GCC 3.2 (instead of 4.1, which comes with FC6) in order to get it compile and work, but now it is fixed and works well...

You seem to have a package conflict - maybe you can uninstall any existing MPlayer packages? What does

rpm -qa | grep mpl

report?
 
Old 01-17-2007, 02:35 AM   #3
kutty_prasad
Member
 
Registered: Sep 2006
Location: Bangalore,India
Distribution: RHEL,Fedora, CentOS, Slackware 12 & wrestling with LFS
Posts: 86

Rep: Reputation: 16
Else try using yum to install, that might help.
 
Old 01-18-2007, 04:26 AM   #4
arindom
Member
 
Registered: Nov 2006
Location: India
Distribution: Ubuntu 11.04
Posts: 165

Original Poster
Rep: Reputation: 30
Thanks Rylan and Kutty_prasad for your replies.

I also think there is a conflic. That is why I tried to uninstall Mplayer through Yum but it did not worked.

As suggested by Rylan

$ rpm -qa | grep mpl

Result is :

libsamplerate-0.1.2-6.fc6
docbook-simple-1.0-2.1.1
mplayer-libs-1.0.0-0.20050916.1.fc4.ut

Please suggest next course of action. Regarding compilation from source, I have no idea about that. So I would prefer any easier alternatives.

Thank You.

Last edited by arindom; 01-18-2007 at 04:27 AM.
 
Old 01-18-2007, 04:40 AM   #5
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 74
Uninstall mplayer-libs because its causing file conflicts with the package you are trying to install. You may have to use the "--nodeps" flag to remove mplayer-libs.
 
Old 07-31-2007, 08:22 PM   #6
webbruno
LQ Newbie
 
Registered: Jul 2007
Location: Rio de janeiro, Brazil
Distribution: Almighty Gentoo
Posts: 9

Rep: Reputation: 0
Quote:
mplayer-libs-1.0.0-0.20050916.1.fc4
Look, I had install all my programs from rpm repositories without yum, that lib you said (the one from the beginning) it's about the Fedora fourth edition, I recommend you to install another package (I use the [link]http://rpm.pbone.net[/link]) like that, but with the fc6 suffix. I hope that help you!! (sorry by the bad English)
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
MPlayer Installation Problem tfm1 Mandriva 3 09-07-2006 06:18 AM
Installation of mplayer problem gregorian Linux - Newbie 18 06-02-2006 09:59 AM
Mplayer Installation problem waelaltaqi Linux - Software 6 12-01-2005 04:39 PM
Mplayer Installation Problem! novkhan Linux - Software 5 04-20-2004 04:08 AM
mplayer installation problem captainchainsaw Linux - Software 4 10-29-2002 04:18 PM


All times are GMT -5. The time now is 03:57 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration